Package com.io7m.idstore.server.internal.admin_v1

# Class IdA1CommandServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.internal.common.IdCommonInstrumentedServlet
com.io7m.idstore.server.internal.admin_v1.IdA1AuthenticatedServlet
com.io7m.idstore.server.internal.admin_v1.IdA1CommandServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdA1CommandServlet extends IdA1AuthenticatedServlet
A servlet for executing a single command.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1CommandServlet(IdServiceDirectoryType inServices)`
  A servlet for executing a single command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.slf4j.Logger`
  `logger()`
  `protected void`
  `serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, jakarta.servlet.http.HttpSession session)`

  ### Methods inherited from class com.io7m.idstore.server.internal.admin_v1.IdA1AuthenticatedServlet

  `admin, adminId, clock, sends, service, strings`

  ### Methods inherited from class com.io7m.idstore.server.internal.common.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdA1CommandServlet

    public IdA1CommandServlet(IdServiceDirectoryType inServices)
    A servlet for executing a single command.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### logger

    protected org.slf4j.Logger logger()
    Specified by:
      `logger` in class `IdA1AuthenticatedServlet`

  - ### serviceAuthenticated

    protected void serviceAuthenticated(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse, jakarta.servlet.http.HttpSession session) throws Exception
    Specified by:
      `serviceAuthenticated` in class `IdA1AuthenticatedServlet`
    Throws:
      `Exception`